import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:hub/src/core/providers/hub_repository_provider.dart';
import 'package:hub/src/features/hub/domain/get_latest_positions_use_case.dart';
import 'package:hub/src/features/hub/domain/get_latest_positions_use_case_impl.dart';

final getLatestPositionsUseCaseProvider =
Provider.autoDispose<GetLatestPositionsUseCase>((ref) {
  final authRepository = ref.read(homeRepositoryProvider);
  return GetLatestPositionsUseCaseImpl(authRepository);
});
